Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.one2team.highcharts.server
Class JSMAxis.JSMPlotLines.JSMLabel

    java.lang.Object
      org.one2team.highcharts.server.JSMBaseObject
          org.one2team.highcharts.server.JSMAxis.JSMPlotLines.JSMLabel

All Implemented Interfaces:
  org.mozilla.javascript.Scriptable, Axis.PlotLines.Label

Enclosing class:
  JSMAxis.JSMPlotLines

    public static class JSMAxis.JSMPlotLines.JSMLabel

extends JSMBaseObject
implements Axis.PlotLines.Label

Field Summary
`java.lang.String` | `align`
`double` | `rotation`
`Style` | `style`
`java.lang.String` | `text`
`java.lang.String` | `textAlign`
`java.lang.String` | `verticalAlign`
`double` | `x`
`double` | `y`

Fields inherited from class org.one2team.highcharts.server.JSMBaseObject
`innerHTML, userObject`

Fields inherited from interface org.mozilla.javascript.Scriptable
`NOT_FOUND`

Constructor Summary
`JSMAxis.JSMPlotLines.JSMLabel()`

Method Summary
`java.lang.String` | `getAlign()`
`double` | `getRotation()`
`Style` | `getStyle()`
`java.lang.String` | `getText()`
`java.lang.String` | `getTextAlign()`
`java.lang.String` | `getVerticalAlign()`
`double` | `getX()`
`double` | `getY()`
`Axis.PlotLines.Label` | `setAlign(java.lang.String align)`
`Axis.PlotLines.Label` | `setRotation(double rotation)`
`Axis.PlotLines.Label` | `setStyle(Style style)`
`Axis.PlotLines.Label` | `setText(java.lang.String text)`
`Axis.PlotLines.Label` | `setTextAlign(java.lang.String textAlign)`
`Axis.PlotLines.Label` | `setVerticalAlign(java.lang.String verticalAlign)`
`Axis.PlotLines.Label` | `setX(double x)`
`Axis.PlotLines.Label` | `setY(double y)`

Methods inherited from class org.one2team.highcharts.server.JSMBaseObject
`delete, delete, get, get, getClassName, getDefaultValue, getIds, getInnerHTML, getParentScope, getPrototype, getUserObject, has, has, hasInstance, put, put, setInnerHTML, setParentScope, setPrototype, setUserObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### align

    public java.lang.String align

### verticalAlign

    public java.lang.String verticalAlign

### rotation

    public double rotation

### text

    public java.lang.String text

### textAlign

    public java.lang.String textAlign

### x

    public double x

### y

    public double y

### style

    public Style style

Constructor Detail

### JSMAxis.JSMPlotLines.JSMLabel

    public JSMAxis.JSMPlotLines.JSMLabel()

Method Detail

### setAlign

    public Axis.PlotLines.Label setAlign(java.lang.String align)

  Specified by:
    `setAlign` in interface `Axis.PlotLines.Label`

### getAlign

    public java.lang.String getAlign()

  Specified by:
    `getAlign` in interface `Axis.PlotLines.Label`

### setVerticalAlign

    public Axis.PlotLines.Label setVerticalAlign(java.lang.String verticalAlign)

  Specified by:
    `setVerticalAlign` in interface `Axis.PlotLines.Label`

### getVerticalAlign

    public java.lang.String getVerticalAlign()

  Specified by:
    `getVerticalAlign` in interface `Axis.PlotLines.Label`

### setRotation

    public Axis.PlotLines.Label setRotation(double rotation)

  Specified by:
    `setRotation` in interface `Axis.PlotLines.Label`

### getRotation

    public double getRotation()

  Specified by:
    `getRotation` in interface `Axis.PlotLines.Label`

### setText

    public Axis.PlotLines.Label setText(java.lang.String text)

  Specified by:
    `setText` in interface `Axis.PlotLines.Label`

### getText

    public java.lang.String getText()

  Specified by:
    `getText` in interface `Axis.PlotLines.Label`

### setTextAlign

    public Axis.PlotLines.Label setTextAlign(java.lang.String textAlign)

  Specified by:
    `setTextAlign` in interface `Axis.PlotLines.Label`

### getTextAlign

    public java.lang.String getTextAlign()

  Specified by:
    `getTextAlign` in interface `Axis.PlotLines.Label`

### setX

    public Axis.PlotLines.Label setX(double x)

  Specified by:
    `setX` in interface `Axis.PlotLines.Label`

### getX

    public double getX()

  Specified by:
    `getX` in interface `Axis.PlotLines.Label`

### setY

    public Axis.PlotLines.Label setY(double y)

  Specified by:
    `setY` in interface `Axis.PlotLines.Label`

### getY

    public double getY()

  Specified by:
    `getY` in interface `Axis.PlotLines.Label`

### setStyle

    public Axis.PlotLines.Label setStyle(Style style)

  Specified by:
    `setStyle` in interface `Axis.PlotLines.Label`

### getStyle

    public Style getStyle()

  Specified by:
    `getStyle` in interface `Axis.PlotLines.Label`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD